### Syncfusion ASP.NET Core Excel To PDF Converter
A PDF is a fixed document used to display document contents uniformly independent of application software, hardware, and operating system. Syncfusion [ASP.NET Core (XlsIO) library](https://www.syncfusion.com/excel-framework/net-core?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) converts an [Excel document to PDF](https://www.syncfusion.com/excel-framework/net/excel-to-pdf-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) with just five lines of code. You can prepare your document for long-term archiving by converting it to PDF.

![ASP.NET Core Excel To PDF Converter](https://cdn.syncfusion.com/nuget-readme/fileformats/net-excel-to-pdf.png)

[Features Overview](https://www.syncfusion.com/excel-framework/net/excel-to-pdf-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [Docs](https://help.syncfusion.com/file-formats/xlsio/excel-to-pdf-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [API Reference](https://help.syncfusion.com/cr/file-formats/Syncfusion.ExcelToPdfConverter.html?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [Online Demo](https://ej2.syncfusion.com/aspnetcore/XlsIO/ExcelToPDF#/bootstrap5?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [GitHub Examples](https://github.com/SyncfusionExamples/XlsIO-Examples/tree/master/Excel%20to%20PDF?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [Blogs](https://www.syncfusion.com/blogs/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget&s=excel) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [Forums](https://www.syncfusion.com/forums?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [Feedback](https://www.syncfusion.com/feedback/aspnet-core?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)

### Key features
* Convert entire [Excel workbook into PDF](https://help.syncfusion.com/file-formats/xlsio/excel-to-pdf-conversion#workbook-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).
* Convert specific [Excel worksheet into PDF](https://help.syncfusion.com/file-formats/xlsio/excel-to-pdf-conversion#worksheet-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).
* Convert Excel document to PDF with,
  * [Tables](https://help.syncfusion.com/file-formats/xlsio/working-with-excel-tables?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Pivot tables](https://help.syncfusion.com/file-formats/xlsio/working-with-pivot-tables?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Styles](https://help.syncfusion.com/file-formats/xlsio/working-with-cell-or-range-formatting#create-a-style?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Conditional formatting](https://help.syncfusion.com/file-formats/xlsio/working-with-conditional-formatting?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Rich-text formatting](https://help.syncfusion.com/file-formats/xlsio/working-with-cell-or-range-formatting#rich-text-formatting?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Text alignments](https://help.syncfusion.com/file-formats/xlsio/working-with-cell-or-range-formatting#apply-cell-text-alignment?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Images](https://help.syncfusion.com/file-formats/xlsio/working-with-pictures?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Text boxes](https://help.syncfusion.com/file-formats/xlsio/working-with-drawing-objects#text-box?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Hyperlinks](https://help.syncfusion.com/file-formats/xlsio/worksheet-cells-manipulation#hyperlinks?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Document properties](https://www.syncfusion.com/kb/8441/add-custom-properties-into-excel-document?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Header and footer](https://www.syncfusion.com/kb/1933/add-excel-headers-and-footers-in-c-vb-net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Page setup options](https://help.syncfusion.com/file-formats/xlsio/working-with-excel-worksheet#page-setup-settings?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Print titles](https://help.syncfusion.com/file-formats/xlsio/working-with-excel-worksheet#page-setup-settings?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Page breaks](https://help.syncfusion.com/file-formats/xlsio/working-with-excel-worksheet#page-setup-settings?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * Print area
  * Unicode characters
  * [Auto shapes](https://help.syncfusion.com/file-formats/xlsio/working-with-drawing-objects#autoshapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
  * [Group shapes](https://help.syncfusion.com/file-formats/xlsio/working-with-drawing-objects#group-shapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)
* Convert entire [Excel worksheet into Image](https://help.syncfusion.com/file-formats/xlsio/worksheet-to-image-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).
* Convert specific [Excel range into Image](https://help.syncfusion.com/file-formats/xlsio/worksheet-to-image-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).

### System Requirements

* [System Requirements](https://help.syncfusion.com/file-formats/installation-and-upgrade/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)

### Getting Started

You can fetch the Syncfusion ASP.NET Core Excel to PDF converter library NuGet by simply running the command **Install-Package Syncfusion.XlsIORenderer.Net.Core** from the Package Manager Console in Visual Studio.

Try the following code snippet to convert an Excel document to PDF.

```csharp
using Syncfusion.XlsIO;
using Syncfusion.XlsIORenderer;
using Syncfusion.Pdf;
using System.IO;

//Initialize ExcelEngine.
using (ExcelEngine excelEngine = new ExcelEngine())
{
    //Initialize IApplication.
    IApplication application = excelEngine.Excel;
    //Set the default version as Xlsx.
    application.DefaultVersion = ExcelVersion.Xlsx;
    //Load an existing workbook into IWorkbook.
    FileStream excelStream = new FileStream("Sample.xlsx", FileMode.Open, FileAccess.Read);
    IWorkbook workbook = application.Workbooks.Open(excelStream);
    //Initialize XlsIO renderer
    XlsIORenderer renderer = new XlsIORenderer;
    //Initialize PDF document
    using (PdfDocument pdfDocument = new PdfDocument())
    {
        //Convert Excel document into PDF document
        pdfDocument = renderer.ConvertToPDF(workbook);
        //Save the PDF document to stream.
        Stream stream = new FileStream("Output.pdf", FileMode.Create, FileAccess.ReadWrite);
        pdfDocument.Save(stream);
    }
}
```

For more information to get started, refer to our [Getting Started Documentation page](https://help.syncfusion.com/file-formats/xlsio/getting-started-create-excel-file-csharp-vbnet?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).

### License
This is a commercial product and requires a paid license for possession or use. Syncfusions licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget). You can purchase a license [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget).

### About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 27,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1700+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.
___

[sales@syncfusion.com](mailto:sales@syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetcore-xlsio-renderer-nuget) | Toll Free: 1-888-9 DOTNET

